// for mouse effect on row
var row_marked = Array();
var row_over_color;
var row_marked_color;

function onRowOver(row, rowNo){
  if(row_marked[rowNo]==null||!row_marked[rowNo]){
    row.bgColor=row.style.backgroundColor;
    row.style.backgroundColor=row_over_color!=null?row_over_color:'#a9c9e9';
  }
}
function onRowOut(row, rowNo){
  if(row_marked[rowNo]==null||!row_marked[rowNo]){
    row.style.backgroundColor=row.bgColor;
    row.bgColor='';
  }
}
function onRowClicked(row, rowNo){
  whichIt = event.srcElement;
	while (whichIt.tagName != "A") {
		whichIt = whichIt.parentElement;
		if (whichIt == null){
			break;
		}
	}
	if (whichIt != null){
	  return;
	}
	if(row_marked[rowNo]==null||!row_marked[rowNo]){
	  row_marked[rowNo]=true;
	  row.style.backgroundColor = row_marked_color!=null?row_marked_color:'#BCF39E';
	}
	else{
	  row_marked[rowNo]=false;
	  row.style.backgroundColor = row_over_color!=null?row_over_color:'#a9c9e9';
	}
}